| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.StarTrackerConfFile Class Reference

Class for reading Star tracker configuration files. More...

Inheritance diagram for EECFI.StarTrackerConfFile:

List of all members.

## Public Member Functions
| StarTrackerConfFile ()
| Constructor.
| StarTrackerConfFile (final String fileNam)
| Constructor by name.
native void | read (final long starTrackerId) throws CfiError
| Read the file data block for the star tracker number given by starTrackerId (1, 2 or 3).
## Public Attributes
long | aberrCorrection
| Aberration correction flag: -1 = Aberration correction with transposed matrix 0 = No aberration 1 = Aberration correction.
String | satellite
| Satellite name.
TrackerLimits | strLimit
| Star tracker limits.
double[][] | strAttRot
| Satellite Attitude to star tracker frame rotation matrix.

## Detailed Description

Class for reading Star tracker configuration files.

## Constructor & Destructor Documentation

EECFI.StarTrackerConfFile.StarTrackerConfFile | ( |  | ) |

Constructor.

EECFI.StarTrackerConfFile.StarTrackerConfFile | ( | final String | fileNam | ) |

Constructor by name.

## Member Function Documentation

void EECFI.StarTrackerConfFile::read | ( | final long | starTrackerId | ) | throws CfiError

Read the file data block for the star tracker number given by starTrackerId (1, 2 or 3).

Parameters:

  | starTrackerId | Star tracker number for which the configuration data is to be read. Allowed range=1, 2 or 3.

## Member Data Documentation

long EECFI.StarTrackerConfFile.aberrCorrection

Aberration correction flag: -1 = Aberration correction with transposed matrix 0 = No aberration 1 = Aberration correction.

String EECFI.StarTrackerConfFile.satellite

Satellite name.

double [][] EECFI.StarTrackerConfFile.strAttRot

Satellite Attitude to star tracker frame rotation matrix.

TrackerLimits EECFI.StarTrackerConfFile.strLimit

Star tracker limits.